For the complete documentation index, see llms.txt. This page is also available as Markdown.

Game

Get the details of all your deployment environment

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

Deployment environment ID

namestringRequired

The public name of your deployment environment

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

get/v3/deploymentEnvironment
GET /v3/deploymentEnvironment HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "createdAt": 1
  }
]

Create a deployment environment

post
Authorizations
PRIVATE-TOKENstringRequired
Body
idstringRead-onlyRequired

Deployment environment ID

namestringRequired

The public name of your deployment environment

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

Responses
200

OK

application/json
idstringRead-onlyRequired

Deployment environment ID

namestringRequired

The public name of your deployment environment

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

post/v3/deploymentEnvironment
POST /v3/deploymentEnvironment HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
[
  {
    "id": "text",
    "name": "text",
    "createdAt": 1
  }
]

Get the details of the given deployment environment

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentEnvironmentIdstringRequired

The Id of the deployment environment

Responses
200

OK

application/json
idstringRead-onlyRequired

Deployment environment ID

namestringRequired

The public name of your deployment environment

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

get/v3/deploymentEnvironment/{deploymentEnvironmentId}
GET /v3/deploymentEnvironment/{deploymentEnvironmentId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "createdAt": 1
  }
]

Update given deployment environment

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentEnvironmentIdstringRequired

The Id of the deployment environment

Body
idstringRead-onlyRequired

Deployment environment ID

namestringRequired

The public name of your deployment environment

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

Responses
200

OK

application/json
idstringRead-onlyRequired

Deployment environment ID

namestringRequired

The public name of your deployment environment

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

put/v3/deploymentEnvironment/{deploymentEnvironmentId}
PUT /v3/deploymentEnvironment/{deploymentEnvironmentId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
[
  {
    "id": "text",
    "name": "text",
    "createdAt": 1
  }
]

Delete given deployment environment

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentEnvironmentIdstringRequired

The Id of the deployment environment

Responses
204

No Content

No content

delete/v3/deploymentEnvironment/{deploymentEnvironmentId}
DELETE /v3/deploymentEnvironment/{deploymentEnvironmentId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Get all the active fleets that belong to the given deployment environment.

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentEnvironmentIdstringRequired

The Id of the deployment environment

Responses
200

OK

application/json
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

get/v3/deploymentEnvironment/{deploymentEnvironmentId}/fleet
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "deploymentEnvironmentId": "text",
    "deploymentProfileId": "text",
    "gameDeploymentTemplateId": "text",
    "utilityDeploymentTemplateId": "text",
    "dependencyDeploymentTemplateId": "text",
    "hostCapacityTemplateId": "text",
    "operationalStatus": 1,
    "isGameLift": true
  }
]

Get all your hosts for given deployment environment

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentEnvironmentIdstringRequired

The Id of the deployment environment

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

get/v3/deploymentEnvironment/{deploymentEnvironmentId}/host
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/host HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "userId": 1,
    "serverId": 1,
    "serverName": "text",
    "serverType": 1,
    "projectName": "text",
    "clientServerName": "text",
    "clientState": "text",
    "liveHostName": "text",
    "category": "text",
    "osId": 1,
    "locationId": 1,
    "dcLocationId": 1,
    "instanceType": "text",
    "fleetId": "text",
    "newFleetId": "text",
    "fleetAssociatedSince": 1,
    "rackName": "text",
    "dateStart": "text",
    "dateEnd": "text",
    "dateCancelled": "text",
    "dateEndContract": "text",
    "contractPeriod": 1,
    "extendPeriod": 1,
    "cancellationPeriod": 1,
    "purchaseOrder": "text",
    "paymentTerm": 1,
    "pricePerMonth": "text",
    "pricePerTbOveruse": "text",
    "currencyId": 1,
    "bandwidthBillingType": 1,
    "bandwidthContractual": 1,
    "ipAddress": [
      {
        "ipAddress": "text",
        "version": 1,
        "type": 1,
        "private": 1,
        "interface": 1,
        "macAddress": "text",
        "rDns": "text",
        "vlanId": 1,
        "gateway": "text",
        "netmask": "text",
        "prefix": 1
      }
    ],
    "brand": "text",
    "model": "text",
    "numCpu": 1,
    "cpuInfo": "text",
    "cpuType": "text",
    "cpuLoad": 1,
    "cpu": {
      "socket": 1,
      "cores": 1,
      "threads": 1,
      "info": "text",
      "type": "text"
    },
    "memUsed": 1,
    "memMax": 1,
    "memFree": 1,
    "disk": [
      {
        "diskType": "text",
        "diskMedium": "text",
        "model": "text",
        "product": "text",
        "diskSerial": "text",
        "firmwareVersion": "text",
        "rotationRate": 1,
        "sectorSizeLogical": 1,
        "sectorSizePhysical": 1,
        "size": 1
      }
    ],
    "memory": [
      {
        "brand": "text",
        "model": "text",
        "size": 1,
        "speed": 1,
        "ecc": 1,
        "memoryBank": 1,
        "memoryType": "text",
        "memorySlot": "text",
        "memorySerial": "text"
      }
    ],
    "isReserve": 1,
    "labels": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "serviceTag": "text",
    "isODP": 1,
    "fmOrderId": "text",
    "installStatus": "text",
    "status": "text",
    "uptime": 1,
    "trafficSum": 1,
    "uplinks": [
      {
        "uplinkId": 1,
        "aggregate": true
      }
    ],
    "freeIncomingTraffic": true,
    "outgoingTrafficSum": 1,
    "incomingTrafficSum": 1
  }
]

Get the list of in use applications for given deployment environment Id

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentEnvironmentIdstringRequired

The Id of the deployment environment

Responses
200

OK

application/json
idstringRead-onlyRequired

Application ID

typeinteger · integerRequired

The list of application type can be found in: GET /application/type

managementProtocolinteger · integerRequired

The protocol used to manage the application (defaults to None when not set):

  • 0: None
  • 1: A2S
  • 2: ARCUS
namestringRequired

The public name of your application

websiteUrlstringOptional

The url to your application's website

descriptionstringOptional

A short description of your application

developerNamestringOptional

The name of the application's developer

publisherNamestringOptional

The name of the application's publisher

stopDefaultOsGroupinteger · integerOptional

The default operating system group being used for the stop method. If you have a Windows and Linux ApplicationBuild you can overwrite this on the ApplicationBuild level. Must be one of:

  • 1: Windows
  • 2: Linux (default)
stopMethodinteger · integerOptional

The stop method that will be used on restart or destroy of an application instance. The default is hard kill, list of types can be found in: GET /v3/application/stopMethod

stopTimeoutinteger · integerOptional

The timeout that will be used on restart or destroy of an application instance, in seconds. The default is 0 (no timeout)

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

inUseinteger · integerRead-onlyRequired

If the application currently in use or not

get/v3/deploymentEnvironment/{deploymentEnvironmentId}/application/inUse
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/application/inUse HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "type": 1,
    "managementProtocol": 1,
    "name": "text",
    "websiteUrl": "text",
    "description": "text",
    "developerName": "text",
    "publisherName": "text",
    "stopDefaultOsGroup": 1,
    "stopMethod": 1,
    "stopTimeout": 1,
    "createdAt": 1,
    "inUse": 1
  }
]

Get the list of fleet in a deployment environment, having a certain application of type game

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentEnvironmentIdstringRequired

The Id of the deployment environment

applicationIdstringRequired

The Id of the application

Responses
200

OK

application/json
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

get/v3/deploymentEnvironment/{deploymentEnvironmentId}/application/{applicationId}/fleet
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/application/{applicationId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "deploymentEnvironmentId": "text",
    "deploymentProfileId": "text",
    "gameDeploymentTemplateId": "text",
    "utilityDeploymentTemplateId": "text",
    "dependencyDeploymentTemplateId": "text",
    "hostCapacityTemplateId": "text",
    "operationalStatus": 1,
    "isGameLift": true
  }
]

Get the list of in use application builds for a given deployment environment Id

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentEnvironmentIdstringRequired

The Id of the deployment environment

Responses
200

OK

application/json
idstringRead-onlyRequired

Application build ID

namestringRequired

The name of the application build

applicationIdstring · nullableRequired

The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP

hostCapacityTemplateIdstringOptional

The ID of the host capacity template

typeinteger · integerRead-onlyRequired

The application build, list of types can be found in: GET /application/type

executablestringRequired

The executable name including the path originating from the root directory of the software structure

startupParametersstringOptional

The startup parameters required for an executable

instanceDoesReadyCallbackinteger · integerOptional

Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to accept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting

installIdinteger · integerOptionalDeprecated

ID of the application install (legacy FTP, will be removed, may not be updated)

osIdinteger · integerRequired

ID of the operating system, list of operating systems can be found in: GET /v3/operatingsystem

stopMethodinteger · integer · nullableOptional

The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of GET /v3/application/stopMethod - any value submitted here overrides that Application default

stopTimeoutinteger · integer · nullableOptional

The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of Application.stopTimeout - any value submitted here overrides that Application default

createdAtinteger · integerRead-onlyRequired

When the application build was created (unix timestamp)

buildProvisioningStorageTypeinteger · integerOptional

Type of storage being used GET /v3/buildProvisioning/storage/registration/types. Default: 0

runAsRootinteger · integerRequired

Controls whether to run this build as root or as a non-privileged user. Warning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator

  • 0: run as non-privileged user
  • 1: run as root user (default)
get/v3/deploymentEnvironment/{deploymentEnvironmentId}/applicationBuild/inUse
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/applicationBuild/inUse HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "applicationId": "text",
    "hostCapacityTemplateId": "text",
    "type": 1,
    "executable": "text",
    "startupParameters": "text",
    "instanceDoesReadyCallback": 1,
    "osId": 1,
    "stopMethod": 1,
    "stopTimeout": 1,
    "createdAt": 1,
    "label": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "applicationBuildFile": {
      "id": "text",
      "buildProvisioningFileId": "text",
      "buildProvisioningRegistrationId": "text",
      "fileName": "text",
      "fileSize": 1,
      "version": "text",
      "md5CheckSum": "text",
      "path": "text",
      "domain": "text",
      "createdAt": 1,
      "changedAt": 1,
      "availableOnCDN": 1
    },
    "buildProvisioningStorageType": 1,
    "runAsRoot": 1
  }
]

Get all the cloud deployment profiles you have created

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentEnvironmentIdstringRequired

The Id of the deployment environment

Responses
200

OK

application/json
idstringRead-onlyRequired

The deployment profile ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets in which this deployment profile is being used

namestringRequired

This deployment profile's name

descriptionstringOptional

This deployment profile's description

strategyTypeinteger · integerRequired

Possible values:

  • 1: Round robin
minimumCapacityinteger · integerRequired

The minimum amount of game instances that should always be deployed for each deployment region in this deployment profile. Can be overridden per deployment region

maximumCapacityinteger · integer · nullableOptional

The maximum amount of game instances that can be deployed in each region. Can be overridden per region. Null value means that there is no maximumCapacity

bufferValueinteger · integerRequired

Global buffer value, to be applied to individual deployment regions. Can be overridden per region

bufferValueTypeinteger · integerRequired

Possible values:

  • 0: Absolute value
  • 1: Percentage value (must be accompanied by bufferValueMin and bufferValueMax)
bufferValueMininteger · integer · nullableOptional

The minimum absolute bufferValue when using a percentage, to prevent bufferValue from going too low

bufferValueMaxinteger · integer · nullableOptional

The maximum absolute bufferValue when using a percentage, to prevent bufferValue from going too high

markedForDeletioninteger · integerRead-onlyRequired

When 1, markedForDeletion will propagate to all deployment regions of this deployment profile. Scaling down will happen slowly as application instances get removed naturally. After all application instances are removed, the deployment profile is set to inactive

Example: 1
inUseinteger · integerRead-onlyRequired

Possible values:

  • 0: Deployment profile has no active application instances
  • 1: Deployment profile has active application instance(s)
createdAtinteger · integerRead-onlyRequired

Unix timestamp of creation time

get/v3/deploymentEnvironment/{deploymentEnvironmentId}/deploymentProfile
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/deploymentProfile HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "fleetIds": [
      "text"
    ],
    "name": "text",
    "description": "text",
    "strategyType": 1,
    "minimumCapacity": 1,
    "maximumCapacity": 1,
    "bufferValue": 1,
    "bufferValueType": 1,
    "bufferValueMin": 1,
    "bufferValueMax": 1,
    "markedForDeletion": 1,
    "inUse": 1,
    "deploymentRegions": [
      {
        "id": "text",
        "name": "text",
        "i3dDcLocationIds": [
          1
        ],
        "i3dDcLocationIdsToBeRemoved": [
          1
        ],
        "minimumCapacity": 1,
        "maximumCapacity": 1,
        "bufferValue": 1,
        "bufferValueType": 1,
        "bufferValueMin": 1,
        "bufferValueMax": 1,
        "strategyType": 1,
        "markedForDeletion": 1,
        "containers": [
          {
            "id": "text",
            "markedForDeletion": 1,
            "containerLocations": [
              {
                "id": "text",
                "cloudProviderId": 1,
                "dcLocationId": 1,
                "primaryInstanceTypeName": "text",
                "primaryInstanceTypeStatus": 1,
                "secondaryInstanceTypeName": "text",
                "secondaryInstanceTypeStatus": 1,
                "markedForDeletion": 1
              }
            ]
          }
        ],
        "inUse": 1
      }
    ],
    "createdAt": 1
  }
]

Get all the application instances for the given deployment environment

get

Note: bare metal servers and VMs are exposed in the same manner, as "dedicated servers". hostId can be found in the /host endpoint.

Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentEnvironmentIdstringRequired

The Id of the deployment environment

Query parameters
labelsstringOptional

Label expressions can be used to apply more specific search parameters and can be written in standard SQL query language.
E.g. region_id=123 or multiple filters: region_id=123 and fleet_id=456 or host_id=46256 The provided filter query needs to be url encoded. E.g.
region_id%3D123 or multiple filters: region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256 The total would look like:
/deploymentEnvironment/{deploymentEnvironmentId}/applicationInstance?labels=region_id%3D123%20and%20fleet_id%3D456%20or%20host_id%3D46256
If you want to filter on a non-numeric label such as region_name, you have to wrap the value in double quotes: region_name="Rotterdam"
Warning: the labels query parameter is ignored when passing a PAGE-TOKEN and the original labels string will be used for that request instead.
More information on the use of labels can be found here.

filtersstringOptional

Filter expression can be used to apply more specific search on most parameters in the application instance, it is written like
this E.G. regionId=123 or multiple filters: regionId=123 and fleetId=456, only the AND statement is supported at this time. You can also
search inside nested objects like metaData.key="testing" and metaData.value="test" You can only search on exact matches.
Warning: the filters query parameter is ignored when passing a PAGE-TOKEN and the original filters string will be used for that request
instead.
Warning: filtering on the following parameters is currently not supported and will give an error:
autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax,
pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

sortstringOptional

Sort expression to sort your results in the order that you like E.G. "sort=fleetId=ASC and applicationId DESC" Be aware that all filters
and sorting should be url encoded.
Warning: the sort query parameter is ignored when passing a PAGE-TOKEN and the original sort string will be used for that request instead
Warning: sorting on the following parameters is currently not supported and will give an error:
autoRestart, liveGameVersion, liveHostName, liveMap, liveRules, manuallyDeployed, markedForDeletion, numPlayers, numPlayersMax,
pid, pidChangedAt, startedAt, status, stoppedAt, updatedAt

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA: start=0,results=25
Warning: the start variable of the RANGED-DATA object has been deprecated for this endpoint. It is not possible to supply a start, see
PAGE-TOKEN header for a replacement

PAGE-TOKENstringOptional

This token will be provided by this endpoint to allow for pagination functionality. By performing a request to this endpoint
without the PAGE-TOKEN you will retrieve the first page of search results. If a PAGE-TOKEN is returned, a next page may be requested by
supplying that token in the next request using the same PAGE-TOKEN key and value in the request header. If no PAGE-TOKEN is returned, the last
page has been reached and no further data can be requested. A returned PAGE-TOKEN is valid until the date specified in the Expires response
header. Example: PAGE-TOKEN: eyJjb25kaXRpb25zIjp7InVzZXJJZCI6NjY2ODI1fSwibGFiZWxz(...) (truncated for readability)
Expires header example: Expires: Fri, 08 Jan 2021 09:10:29 GMT

Responses
200

OK

application/json
idstringRead-onlyRequired

Application instance ID

deploymentEnvironmentIdstringRead-onlyRequired

The deployment environment ID of this application instance

deploymentEnvironmentNamestringRead-onlyRequired

The deployment environment name of this application instance

fleetIdstringRead-onlyRequired

The fleet ID of this application instance

fleetNamestringRead-onlyRequired

The fleet name of this application instance

hostIdinteger · integerRead-onlyRequired

The application instance is host on this server.

isVirtualinteger · integerRead-onlyRequired

0 if this instance runs on a bare metal server, 1 if it runs on a VM

applicationIdstringRead-onlyRequired

The application ID of this application instance

applicationNamestringRead-onlyRequired

The application name of this application instance

applicationTypeinteger · integerRead-onlyRequired

The type of the application, the different types can be found in: GET /v3/application/type

applicationBuildIdstringRead-onlyRequired

The application build ID of this application instance

applicationBuildNamestringRead-onlyRequired

The application build name of this application instance

installIdstring · nullableOptionalDeprecated

ID of the application install

dcLocationIdinteger · integerRead-onlyRequired

The datacenter ID of where this application instance is located

dcLocationNamestringRead-onlyRequired

The datacenter name of where this application instance is located

regionIdstringRead-onlyRequired

The deployment region ID of where this application instance is located

regionNamestringRead-onlyRequired

The deployment region name of where this application instance is located

statusinteger · integerRead-onlyRequired

The application instance status, list of application instance status can be found in GET /v3/applicationInstance/status

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is created

startedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is started

stoppedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is stopped

pidinteger · integerRead-onlyRequired

The process ID of the application instance running on the host

pidChangedAtinteger · integerRead-onlyRequired

The Unix timestamp of the moment the process ID has been changed on the host

startupParamsstring · nullableRead-onlyRequired

The exact startup parameters that were used to start this application instance with all properties resolved to their respective values. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

executablestring · nullableRead-onlyRequired

The name of the executable that was ran when the application instance started. Will be null if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be cleared again

manuallyDeployedinteger · integerRead-onlyRequired

If set to 1, the application instance was manually deployed, instead of automatically deployed through the system

numPlayersMaxinteger · integerRead-onlyRequired

The maximum number of players on the application instance (this only apply to application instances of the type game)

numPlayersinteger · integerRead-onlyRequired

The number of online players on the application instance (this only apply to application instances of the type game)

liveHostNamestringRead-onlyRequired

The live host name of the application instance (this only apply to application instances of the type game)

liveMapstringRead-onlyRequired

The live map of an application instance (this only apply to application instances of the type game)

liveGameVersionstringRead-onlyRequired

The live game version of an application instance (this only apply to application instances of the type game)

updatedAtinteger · integerRead-onlyRequired

The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)

liveRulesstringRead-onlyRequired

The live rules of an application instance (this only apply to application instances of the type game)

autoRestartinteger · integerRead-onlyRequired

If auto restart is 1 then the application instance will auto restart, when 0 the application instance auto restart will be disabled

markedForDeletioninteger · integerRead-onlyRequired

If an application will be deleted it will be 1, 0 otherwise

arcusAvailableinteger · integerRead-onlyRequired

1 if Arcus is available & running for this application instance, 0 otherwise. Note: If your application's managementProtocol is NOT set to Arcus, this value will always be 0, even if your game server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to 1, when the managementProtocol is set to Arcus.

get/v3/deploymentEnvironment/{deploymentEnvironmentId}/applicationInstance
GET /v3/deploymentEnvironment/{deploymentEnvironmentId}/applicationInstance HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "deploymentEnvironmentId": "text",
    "deploymentEnvironmentName": "text",
    "fleetId": "text",
    "fleetName": "text",
    "hostId": 1,
    "isVirtual": 1,
    "applicationId": "text",
    "applicationName": "text",
    "applicationType": 1,
    "applicationBuildId": "text",
    "applicationBuildName": "text",
    "dcLocationId": 1,
    "dcLocationName": "text",
    "regionId": "text",
    "regionName": "text",
    "status": 1,
    "createdAt": 1,
    "startedAt": 1,
    "stoppedAt": 1,
    "pid": 1,
    "pidChangedAt": 1,
    "startupParams": "text",
    "executable": "text",
    "manuallyDeployed": 1,
    "properties": [
      {
        "id": "text",
        "propertyType": 1,
        "propertyKey": "text",
        "propertyValue": "text"
      }
    ],
    "ipAddress": [
      {
        "ipAddress": "text",
        "ipVersion": 1,
        "private": 1
      }
    ],
    "labelReadOnly": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "labelPublic": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "metadata": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "numPlayersMax": 1,
    "numPlayers": 1,
    "liveHostName": "text",
    "liveMap": "text",
    "liveGameVersion": "text",
    "updatedAt": 1,
    "liveRules": "text",
    "autoRestart": 1,
    "markedForDeletion": 1,
    "arcusAvailable": 1
  }
]

Get current deployment environment telemetry

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
hostsinteger · integerRequired

The number of hosts

instancesinteger · integerRequired

The number of instances

playersinteger · integerRequired

The number of players

get/v3/telemetry/deploymentEnvironment/{deploymentEnvironmentId}/current
GET /v3/telemetry/deploymentEnvironment/{deploymentEnvironmentId}/current HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "hosts": 1,
    "instances": 1,
    "players": 1
  }
]

Get a list of fleets

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

get/v3/fleet
GET /v3/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "deploymentEnvironmentId": "text",
    "deploymentProfileId": "text",
    "gameDeploymentTemplateId": "text",
    "utilityDeploymentTemplateId": "text",
    "dependencyDeploymentTemplateId": "text",
    "hostCapacityTemplateId": "text",
    "operationalStatus": 1,
    "isGameLift": true
  }
]

Create a new fleet

post
Authorizations
PRIVATE-TOKENstringRequired
Body
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

Responses
200

OK

application/json
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

post/v3/fleet
POST /v3/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "name": "text",
  "deploymentEnvironmentId": "text",
  "deploymentProfileId": "text",
  "gameDeploymentTemplateId": "text",
  "utilityDeploymentTemplateId": "text",
  "dependencyDeploymentTemplateId": "text",
  "hostCapacityTemplateId": "text",
  "isGameLift": true
}
[
  {
    "id": "text",
    "name": "text",
    "deploymentEnvironmentId": "text",
    "deploymentProfileId": "text",
    "gameDeploymentTemplateId": "text",
    "utilityDeploymentTemplateId": "text",
    "dependencyDeploymentTemplateId": "text",
    "hostCapacityTemplateId": "text",
    "operationalStatus": 1,
    "isGameLift": true
  }
]

Get a specific fleet by Id

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

Responses
200

OK

application/json
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

get/v3/fleet/{fleetId}
GET /v3/fleet/{fleetId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "deploymentEnvironmentId": "text",
    "deploymentProfileId": "text",
    "gameDeploymentTemplateId": "text",
    "utilityDeploymentTemplateId": "text",
    "dependencyDeploymentTemplateId": "text",
    "hostCapacityTemplateId": "text",
    "operationalStatus": 1,
    "isGameLift": true
  }
]

Update given fleet

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

Body
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

Responses
200

OK

application/json
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

put/v3/fleet/{fleetId}
PUT /v3/fleet/{fleetId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "name": "text",
  "deploymentEnvironmentId": "text",
  "deploymentProfileId": "text",
  "gameDeploymentTemplateId": "text",
  "utilityDeploymentTemplateId": "text",
  "dependencyDeploymentTemplateId": "text",
  "hostCapacityTemplateId": "text",
  "isGameLift": true
}
[
  {
    "id": "text",
    "name": "text",
    "deploymentEnvironmentId": "text",
    "deploymentProfileId": "text",
    "gameDeploymentTemplateId": "text",
    "utilityDeploymentTemplateId": "text",
    "dependencyDeploymentTemplateId": "text",
    "hostCapacityTemplateId": "text",
    "operationalStatus": 1,
    "isGameLift": true
  }
]

Removes an existing fleet. Note that it may not have any active servers assigned to it.

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The ID of the fleet

Responses
204

No Content

No content

delete/v3/fleet/{fleetId}
DELETE /v3/fleet/{fleetId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Update the operational status of the given fleet

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

Body
operationalStatusinteger · integerRequired

The operational status for the fleet

Responses
200

OK

application/json
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

put/v3/fleet/{fleetId}/operationalStatus
PUT /v3/fleet/{fleetId}/operationalStatus HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 23

{
  "operationalStatus": 1
}
[
  {
    "id": "text",
    "name": "text",
    "deploymentEnvironmentId": "text",
    "deploymentProfileId": "text",
    "gameDeploymentTemplateId": "text",
    "utilityDeploymentTemplateId": "text",
    "dependencyDeploymentTemplateId": "text",
    "hostCapacityTemplateId": "text",
    "operationalStatus": 1,
    "isGameLift": true
  }
]

Get all hosts reserved for the given fleet

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

get/v3/fleet/{fleetId}/host/reserved
GET /v3/fleet/{fleetId}/host/reserved HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "userId": 1,
    "serverId": 1,
    "serverName": "text",
    "serverType": 1,
    "projectName": "text",
    "clientServerName": "text",
    "clientState": "text",
    "liveHostName": "text",
    "category": "text",
    "osId": 1,
    "locationId": 1,
    "dcLocationId": 1,
    "instanceType": "text",
    "fleetId": "text",
    "newFleetId": "text",
    "fleetAssociatedSince": 1,
    "rackName": "text",
    "dateStart": "text",
    "dateEnd": "text",
    "dateCancelled": "text",
    "dateEndContract": "text",
    "contractPeriod": 1,
    "extendPeriod": 1,
    "cancellationPeriod": 1,
    "purchaseOrder": "text",
    "paymentTerm": 1,
    "pricePerMonth": "text",
    "pricePerTbOveruse": "text",
    "currencyId": 1,
    "bandwidthBillingType": 1,
    "bandwidthContractual": 1,
    "ipAddress": [
      {
        "ipAddress": "text",
        "version": 1,
        "type": 1,
        "private": 1,
        "interface": 1,
        "macAddress": "text",
        "rDns": "text",
        "vlanId": 1,
        "gateway": "text",
        "netmask": "text",
        "prefix": 1
      }
    ],
    "brand": "text",
    "model": "text",
    "numCpu": 1,
    "cpuInfo": "text",
    "cpuType": "text",
    "cpuLoad": 1,
    "cpu": {
      "socket": 1,
      "cores": 1,
      "threads": 1,
      "info": "text",
      "type": "text"
    },
    "memUsed": 1,
    "memMax": 1,
    "memFree": 1,
    "disk": [
      {
        "diskType": "text",
        "diskMedium": "text",
        "model": "text",
        "product": "text",
        "diskSerial": "text",
        "firmwareVersion": "text",
        "rotationRate": 1,
        "sectorSizeLogical": 1,
        "sectorSizePhysical": 1,
        "size": 1
      }
    ],
    "memory": [
      {
        "brand": "text",
        "model": "text",
        "size": 1,
        "speed": 1,
        "ecc": 1,
        "memoryBank": 1,
        "memoryType": "text",
        "memorySlot": "text",
        "memorySerial": "text"
      }
    ],
    "isReserve": 1,
    "labels": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "serviceTag": "text",
    "isODP": 1,
    "fmOrderId": "text",
    "installStatus": "text",
    "status": "text",
    "uptime": 1,
    "trafficSum": 1,
    "uplinks": [
      {
        "uplinkId": 1,
        "aggregate": true
      }
    ],
    "freeIncomingTraffic": true,
    "outgoingTrafficSum": 1,
    "incomingTrafficSum": 1
  }
]

Reserve a list of hosts for a specific new fleet. The existing application instances on these servers will be automatically scaled down.

post
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
X-Trace-Id:stringOptional

Response header which you can use to fetch the status of the bulk reservation of hosts by using endpoint
GET /v3/fleet/host/bulkReserve/{traceId}/status

Body
fleetIdstringRequired

Fleet ID

hostsinteger · integer[]Required

List of host ID's

methodIdinteger · integerOptional

Stop method type, list of types can be found in: GET /v3/application/stopMethod

timeoutinteger · integerOptional

Stop method timeout in seconds, default value is 1800 seconds

Responses
204

No Content

No content

post/v3/fleet/host/bulkReserve
POST /v3/fleet/host/bulkReserve HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 55

{
  "fleetId": "text",
  "hosts": [
    1
  ],
  "methodId": 1,
  "timeout": 1
}

No content

Progress for the bulk reserve you have done, base on the trace id you received in the header when you have created the bulk reserve

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
oldFleetIdstringRequired

Fleet ID that was assigned to the host prior to bulk reservation.

newFleetIdstringRequired

Fleet ID that will be assigned to the host after completion of bulk reservation.

hostIdinteger · integerRequired

ID of the host.

inProgressinteger · integerRequired

When the value is 1 then the host is not changed to the new fleet ID, when value is 0 than the host is changed to the new fleet ID.

get/v3/fleet/host/bulkReserve/{traceId}/status
GET /v3/fleet/host/bulkReserve/{traceId}/status HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "oldFleetId": "text",
    "newFleetId": "text",
    "hostId": 1,
    "inProgress": 1
  }
]

Get all your hosts for a fleet.

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

The ID of this host

userIdinteger · integerRead-onlyRequired

The ID of the user who owns this server

serverIdinteger · integerRead-onlyRequired

The ID of the physical machine

serverNamestringRead-onlyRequired

The name of the physical machine

serverTypeinteger · integerRead-onlyRequired

The type of the server:

  • 1: Bare metal server
  • 2: Flex metal server
  • 3: Virtual machine
projectNamestringOptional

The name of the project for the host

clientServerNamestringOptional

The name of the server defined by client

clientStatestringOptional

Client statement for the host

liveHostNamestringRead-onlyRequired

The host name

isVirtualinteger · integerRead-onlyRequiredDeprecated

0 if this is a bare metal server, 1 if it's a VM. Use serverType instead

categorystringRead-onlyRequired

Host category. Normally "Dedicated Game Servers" or "Dedicated Servers", but can be "Broken" if the server is in a degraded state

osIdinteger · integerRead-onlyRequired

Operating system ID, must be one of GET /v3/operatingsystem

locationIdinteger · integerRead-onlyRequired

Legacy location ID (not used for ODP)

dcLocationIdinteger · integerRead-onlyRequired

Datacenter location ID. Points to one of GET /v3/cloud/dcLocation

instanceTypestringRead-onlyRequired

The instance type of this server, which is one of GET /v3/host/instanceType for a bare metal, or one of GET /v3/cloud/instanceType for a virtual machine

fleetIdstringRead-onlyRequired

The fleet ID, if this host has been assigned to a fleet If 0, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.

newFleetIdstring · nullableRead-onlyRequired

The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at POST /v3/fleet/host/bulkReserve

fleetAssociatedSinceinteger · integerRead-onlyRequired

Unix timestamp when fleet assigned to the host

rackNamestringRead-onlyRequired

The name of the rack the host is located

dateStartstringRead-onlyRequired

The date at which this host became active

dateEndstringRead-onlyRequired

The date at which this host will expire

dateCancelledstringRead-onlyRequired

The date at which this host was cancelled

dateEndContractstringRead-onlyRequired

The date at which the contract ends (if applicable)

contractPeriodinteger · integerRead-onlyRequired

The contract period in months

extendPeriodinteger · integerRead-onlyRequired

The service extend period in months

cancellationPeriodinteger · integerRead-onlyRequired

The cancellation period in months

purchaseOrderstringRead-onlyRequired

Purchase order, if one has been supplied via our billing department

paymentTerminteger · integerRead-onlyRequired

The payment term in days (how many days are invoices generated before dateEnd)

pricePerMonthstringRead-onlyRequired

The price of this host per month in cents (see currencyId for currency)

pricePerTbOverusestringRead-onlyRequired

The price of traffic overuse in cents (per TB) (see currencyId for currency)

currencyIdinteger · integerRead-onlyRequired

The currency of the pricePerMonth field:

  • 0: EURO
  • 1: USD
  • 9: YEN
bandwidthBillingTypeinteger · integerRead-onlyRequired

The bandwidth billing method for this service:

  • 1: unmetered connection
  • 2: measured in TB per month
  • 3: measured in mbit 95th percentile
bandwidthContractualinteger · integerRead-onlyRequired

The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals 2, in mbit otherwise

brandstringRead-onlyRequired

The server manufacturer brand name

modelstringRead-onlyRequired

The model of the server

numCpuinteger · integerRead-onlyRequired

Number of CPUs in this host

cpuInfostringRead-onlyRequired
cpuTypestringRead-onlyRequired
cpuLoadnumber · floatRead-onlyRequired

Percentage of cpu used across all cores

memUsedinteger · integerRead-onlyRequired

The amount of memory that is used by the host (in megabytes)

memMaxinteger · integerRead-onlyRequired

The amount of memory that is available on the host (in megabytes)

memFreeinteger · integerRead-onlyRequired

The amount of free memory that is available on the host (in megabytes)

isReserveinteger · integerRead-onlyRequired

If the host is reserved for a fleet isReserve set to 1

serviceTagstringRead-onlyRequired

The service tag of the host

isODPinteger · integerRead-onlyRequired

If the host is available for game hosting platform isODP set to 1

fmOrderIdstring · nullableRead-onlyRequired

ID of Flex Metal order if this is a flex metal server

installStatusstring · nullableRead-onlyRequired

Status of server auto install if it was started by one. (created / installing / finished / failed)

statusstringRead-onlyRequired

Whether the host is running or not

uptimeinteger · integerOptional

The uptime of the host. Read-only. Only provided if the server checked-in recently

trafficSuminteger · integerRead-onlyRequired

Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration

freeIncomingTrafficbooleanRead-onlyRequired

Whether the host has free incoming traffic or not

outgoingTrafficSuminteger · integerRead-onlyRequired

The outgoing traffic (Mbit or GB)

incomingTrafficSuminteger · integerRead-onlyRequired

The incoming traffic (Mbit or GB)

get/v3/fleet/{fleetId}/host
GET /v3/fleet/{fleetId}/host HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "userId": 1,
    "serverId": 1,
    "serverName": "text",
    "serverType": 1,
    "projectName": "text",
    "clientServerName": "text",
    "clientState": "text",
    "liveHostName": "text",
    "category": "text",
    "osId": 1,
    "locationId": 1,
    "dcLocationId": 1,
    "instanceType": "text",
    "fleetId": "text",
    "newFleetId": "text",
    "fleetAssociatedSince": 1,
    "rackName": "text",
    "dateStart": "text",
    "dateEnd": "text",
    "dateCancelled": "text",
    "dateEndContract": "text",
    "contractPeriod": 1,
    "extendPeriod": 1,
    "cancellationPeriod": 1,
    "purchaseOrder": "text",
    "paymentTerm": 1,
    "pricePerMonth": "text",
    "pricePerTbOveruse": "text",
    "currencyId": 1,
    "bandwidthBillingType": 1,
    "bandwidthContractual": 1,
    "ipAddress": [
      {
        "ipAddress": "text",
        "version": 1,
        "type": 1,
        "private": 1,
        "interface": 1,
        "macAddress": "text",
        "rDns": "text",
        "vlanId": 1,
        "gateway": "text",
        "netmask": "text",
        "prefix": 1
      }
    ],
    "brand": "text",
    "model": "text",
    "numCpu": 1,
    "cpuInfo": "text",
    "cpuType": "text",
    "cpuLoad": 1,
    "cpu": {
      "socket": 1,
      "cores": 1,
      "threads": 1,
      "info": "text",
      "type": "text"
    },
    "memUsed": 1,
    "memMax": 1,
    "memFree": 1,
    "disk": [
      {
        "diskType": "text",
        "diskMedium": "text",
        "model": "text",
        "product": "text",
        "diskSerial": "text",
        "firmwareVersion": "text",
        "rotationRate": 1,
        "sectorSizeLogical": 1,
        "sectorSizePhysical": 1,
        "size": 1
      }
    ],
    "memory": [
      {
        "brand": "text",
        "model": "text",
        "size": 1,
        "speed": 1,
        "ecc": 1,
        "memoryBank": 1,
        "memoryType": "text",
        "memorySlot": "text",
        "memorySerial": "text"
      }
    ],
    "isReserve": 1,
    "labels": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "serviceTag": "text",
    "isODP": 1,
    "fmOrderId": "text",
    "installStatus": "text",
    "status": "text",
    "uptime": 1,
    "trafficSum": 1,
    "uplinks": [
      {
        "uplinkId": 1,
        "aggregate": true
      }
    ],
    "freeIncomingTraffic": true,
    "outgoingTrafficSum": 1,
    "incomingTrafficSum": 1
  }
]

Reserve the given host for the given fleet Id

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

hostIdintegerRequired

The Id of the host

Responses
204

No Content

No content

put/v3/fleet/{fleetId}/host/{hostId}/reserve
PUT /v3/fleet/{fleetId}/host/{hostId}/reserve HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Remove a fleet reservation from the given host. Sets `fleetId` to `0` only if no application instances are deployed on it.

put

There are three situations you need to be aware of when un-reserving a fleet:

  • You have application instances on the host and auto-scaling is enabled: Eventually the host is scaled down and its fleetId will be set to 0, at which point it may be re-purposed for another fleet
  • You have application instances on the host and auto-scaling is not enabled: The host is not automatically scaled down and you will need to manually scale down the application instances on this host for it to be available for another fleet
  • You have no application instances: The host is unreserved and its fleetId is immediately set to 0, allowing the host to be re-purposed for another fleet
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The ID of the fleet

hostIdintegerRequired

The ID of the host

Responses
204

No Content

No content

put/v3/fleet/{fleetId}/host/{hostId}/unreserve
PUT /v3/fleet/{fleetId}/host/{hostId}/unreserve HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Get the list of applications for the given fleet

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

Responses
200

OK

application/json
idstringRead-onlyRequired

Application ID

typeinteger · integerRequired

The list of application type can be found in: GET /application/type

managementProtocolinteger · integerRequired

The protocol used to manage the application (defaults to None when not set):

  • 0: None
  • 1: A2S
  • 2: ARCUS
namestringRequired

The public name of your application

websiteUrlstringOptional

The url to your application's website

descriptionstringOptional

A short description of your application

developerNamestringOptional

The name of the application's developer

publisherNamestringOptional

The name of the application's publisher

stopDefaultOsGroupinteger · integerOptional

The default operating system group being used for the stop method. If you have a Windows and Linux ApplicationBuild you can overwrite this on the ApplicationBuild level. Must be one of:

  • 1: Windows
  • 2: Linux (default)
stopMethodinteger · integerOptional

The stop method that will be used on restart or destroy of an application instance. The default is hard kill, list of types can be found in: GET /v3/application/stopMethod

stopTimeoutinteger · integerOptional

The timeout that will be used on restart or destroy of an application instance, in seconds. The default is 0 (no timeout)

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

inUseinteger · integerRead-onlyRequired

If the application currently in use or not

get/v3/fleet/{fleetId}/application/inUse
GET /v3/fleet/{fleetId}/application/inUse HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "type": 1,
    "managementProtocol": 1,
    "name": "text",
    "websiteUrl": "text",
    "description": "text",
    "developerName": "text",
    "publisherName": "text",
    "stopDefaultOsGroup": 1,
    "stopMethod": 1,
    "stopTimeout": 1,
    "createdAt": 1,
    "inUse": 1
  }
]

Get the list of application builds for the given fleet

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

Responses
200

OK

application/json
idstringRead-onlyRequired

Application build ID

namestringRequired

The name of the application build

applicationIdstring · nullableRequired

The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP

hostCapacityTemplateIdstringOptional

The ID of the host capacity template

typeinteger · integerRead-onlyRequired

The application build, list of types can be found in: GET /application/type

executablestringRequired

The executable name including the path originating from the root directory of the software structure

startupParametersstringOptional

The startup parameters required for an executable

instanceDoesReadyCallbackinteger · integerOptional

Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to accept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting

installIdinteger · integerOptionalDeprecated

ID of the application install (legacy FTP, will be removed, may not be updated)

osIdinteger · integerRequired

ID of the operating system, list of operating systems can be found in: GET /v3/operatingsystem

stopMethodinteger · integer · nullableOptional

The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of GET /v3/application/stopMethod - any value submitted here overrides that Application default

stopTimeoutinteger · integer · nullableOptional

The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of Application.stopTimeout - any value submitted here overrides that Application default

createdAtinteger · integerRead-onlyRequired

When the application build was created (unix timestamp)

buildProvisioningStorageTypeinteger · integerOptional

Type of storage being used GET /v3/buildProvisioning/storage/registration/types. Default: 0

runAsRootinteger · integerRequired

Controls whether to run this build as root or as a non-privileged user. Warning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator

  • 0: run as non-privileged user
  • 1: run as root user (default)
get/v3/fleet/{fleetId}/applicationBuild/inUse
GET /v3/fleet/{fleetId}/applicationBuild/inUse HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "applicationId": "text",
    "hostCapacityTemplateId": "text",
    "type": 1,
    "executable": "text",
    "startupParameters": "text",
    "instanceDoesReadyCallback": 1,
    "osId": 1,
    "stopMethod": 1,
    "stopTimeout": 1,
    "createdAt": 1,
    "label": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "applicationBuildFile": {
      "id": "text",
      "buildProvisioningFileId": "text",
      "buildProvisioningRegistrationId": "text",
      "fileName": "text",
      "fileSize": 1,
      "version": "text",
      "md5CheckSum": "text",
      "path": "text",
      "domain": "text",
      "createdAt": 1,
      "changedAt": 1,
      "availableOnCDN": 1
    },
    "buildProvisioningStorageType": 1,
    "runAsRoot": 1
  }
]

Get a list of environment variables for a fleet

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

Responses
200

OK

application/json
idstring · nullableRequired

of game lift environment variable

typestringRequired

of game lift environment variable:

  • awsgl_endpoint
  • awsgl_region
  • awsgl_token
  • awsgl_hostname
  • awsgl_fleetid
  • raw_value
namestring · nullableRequired

of game lift environment variable, e.g. "AWS_TOKEN_ID"

get/v3/fleet/{fleetId}/gameLiftDeploymentEnvironmentVariables
GET /v3/fleet/{fleetId}/gameLiftDeploymentEnvironmentVariables HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "type": "text",
    "name": "text"
  }
]

Add or update environment variables for a fleet

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

Bodyobject · GameLiftEnvironmentVariables[]
idstring · nullableRequired

of game lift environment variable

typestringRequired

of game lift environment variable:

  • awsgl_endpoint
  • awsgl_region
  • awsgl_token
  • awsgl_hostname
  • awsgl_fleetid
  • raw_value
namestring · nullableRequired

of game lift environment variable, e.g. "AWS_TOKEN_ID"

Responses
200

OK

application/json
idstring · nullableRequired

of game lift environment variable

typestringRequired

of game lift environment variable:

  • awsgl_endpoint
  • awsgl_region
  • awsgl_token
  • awsgl_hostname
  • awsgl_fleetid
  • raw_value
namestring · nullableRequired

of game lift environment variable, e.g. "AWS_TOKEN_ID"

put/v3/fleet/{fleetId}/gameLiftDeploymentEnvironmentVariables
PUT /v3/fleet/{fleetId}/gameLiftDeploymentEnvironmentVariables HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 43

[
  {
    "id": "text",
    "type": "text",
    "name": "text"
  }
]
[
  {
    "id": "text",
    "type": "text",
    "name": "text"
  }
]

Get current fleet telemetry

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fleetIdstringRequired

The Id of the fleet

Responses
200

OK

application/json
hostsinteger · integerRequired

The number of hosts

instancesinteger · integerRequired

The number of instances

playersinteger · integerRequired

The number of players

get/v3/telemetry/fleet/{fleetId}/current
GET /v3/telemetry/fleet/{fleetId}/current HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "hosts": 1,
    "instances": 1,
    "players": 1
  }
]

Get all game deployment templates

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

Game deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The public name of your game deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

get/v3/deploymentTemplate/game
GET /v3/deploymentTemplate/game HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "fleetIds": [
      "text"
    ],
    "name": "text",
    "inUse": 1,
    "createdAt": 1,
    "gameDeploymentTemplateBuild": [
      {
        "applicationBuildId": "text"
      }
    ]
  }
]

Create a game deployment template

post
Authorizations
PRIVATE-TOKENstringRequired
Body
idstringRead-onlyRequired

Game deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The public name of your game deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

Responses
200

OK

application/json
idstringRead-onlyRequired

Game deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The public name of your game deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

post/v3/deploymentTemplate/game
POST /v3/deploymentTemplate/game HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "name": "text",
  "gameDeploymentTemplateBuild": [
    {
      "applicationBuildId": "text"
    }
  ]
}
[
  {
    "id": "text",
    "fleetIds": [
      "text"
    ],
    "name": "text",
    "inUse": 1,
    "createdAt": 1,
    "gameDeploymentTemplateBuild": [
      {
        "applicationBuildId": "text"
      }
    ]
  }
]

Get the details of game deployment template

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the deployment template

Responses
200

OK

application/json
idstringRead-onlyRequired

Game deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The public name of your game deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

get/v3/deploymentTemplate/game/{deploymentTemplateId}
GET /v3/deploymentTemplate/game/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "fleetIds": [
      "text"
    ],
    "name": "text",
    "inUse": 1,
    "createdAt": 1,
    "gameDeploymentTemplateBuild": [
      {
        "applicationBuildId": "text"
      }
    ]
  }
]

Update given game deployment template.

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the deployment template

Body
idstringRead-onlyRequired

Game deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The public name of your game deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

Responses
200

OK

application/json
idstringRead-onlyRequired

Game deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The public name of your game deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this game deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

put/v3/deploymentTemplate/game/{deploymentTemplateId}
PUT /v3/deploymentTemplate/game/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "name": "text",
  "gameDeploymentTemplateBuild": [
    {
      "applicationBuildId": "text"
    }
  ]
}
{
  "id": "text",
  "fleetIds": [
    "text"
  ],
  "name": "text",
  "inUse": 1,
  "createdAt": 1,
  "gameDeploymentTemplateBuild": [
    {
      "applicationBuildId": "text"
    }
  ]
}

Delete given game deployment template.

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the deployment template

Responses
204

No Content

No content

delete/v3/deploymentTemplate/game/{deploymentTemplateId}
DELETE /v3/deploymentTemplate/game/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Get all fleets using the given game deploymentTemplateId

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the deployment template

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

get/v3/deploymentTemplate/game/{deploymentTemplateId}/fleet
GET /v3/deploymentTemplate/game/{deploymentTemplateId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "deploymentEnvironmentId": "text",
    "deploymentProfileId": "text",
    "gameDeploymentTemplateId": "text",
    "utilityDeploymentTemplateId": "text",
    "dependencyDeploymentTemplateId": "text",
    "hostCapacityTemplateId": "text",
    "operationalStatus": 1,
    "isGameLift": true
  }
]

All your utility deployment templates

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

Utility deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The name of your utility deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

get/v3/deploymentTemplate/utility
GET /v3/deploymentTemplate/utility HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "fleetIds": [
      "text"
    ],
    "name": "text",
    "inUse": 1,
    "createdAt": 1,
    "utilityDeploymentTemplateBuild": [
      {
        "applicationBuildId": "text",
        "deployOn": 1,
        "installsPerLocation": 1
      }
    ]
  }
]

Create an instance of utility deployment template.

post
Authorizations
PRIVATE-TOKENstringRequired
Body
idstringRead-onlyRequired

Utility deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The name of your utility deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

Responses
200

OK

application/json
idstringRead-onlyRequired

Utility deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The name of your utility deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

post/v3/deploymentTemplate/utility
POST /v3/deploymentTemplate/utility HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 117

{
  "name": "text",
  "utilityDeploymentTemplateBuild": [
    {
      "applicationBuildId": "text",
      "deployOn": 1,
      "installsPerLocation": 1
    }
  ]
}
[
  {
    "id": "text",
    "fleetIds": [
      "text"
    ],
    "name": "text",
    "inUse": 1,
    "createdAt": 1,
    "utilityDeploymentTemplateBuild": [
      {
        "applicationBuildId": "text",
        "deployOn": 1,
        "installsPerLocation": 1
      }
    ]
  }
]

Get the details of a utility deployment template

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the deployment template

Responses
200

OK

application/json
idstringRead-onlyRequired

Utility deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The name of your utility deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

get/v3/deploymentTemplate/utility/{deploymentTemplateId}
GET /v3/deploymentTemplate/utility/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "fleetIds": [
      "text"
    ],
    "name": "text",
    "inUse": 1,
    "createdAt": 1,
    "utilityDeploymentTemplateBuild": [
      {
        "applicationBuildId": "text",
        "deployOn": 1,
        "installsPerLocation": 1
      }
    ]
  }
]

Update an instance of utility deployment template

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the deployment template

Body
idstringRead-onlyRequired

Utility deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The name of your utility deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

Responses
200

OK

application/json
idstringRead-onlyRequired

Utility deployment template ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

namestringRequired

The name of your utility deployment template

inUseinteger · integerRead-onlyRequired

Indicates whether this utility deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

put/v3/deploymentTemplate/utility/{deploymentTemplateId}
PUT /v3/deploymentTemplate/utility/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 117

{
  "name": "text",
  "utilityDeploymentTemplateBuild": [
    {
      "applicationBuildId": "text",
      "deployOn": 1,
      "installsPerLocation": 1
    }
  ]
}
[
  {
    "id": "text",
    "fleetIds": [
      "text"
    ],
    "name": "text",
    "inUse": 1,
    "createdAt": 1,
    "utilityDeploymentTemplateBuild": [
      {
        "applicationBuildId": "text",
        "deployOn": 1,
        "installsPerLocation": 1
      }
    ]
  }
]

Delete given utility deployment template

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the deployment template

Responses
204

No Content

No content

delete/v3/deploymentTemplate/utility/{deploymentTemplateId}
DELETE /v3/deploymentTemplate/utility/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Get list of fleet using utility deployment template Id

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the deployment template

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

get/v3/deploymentTemplate/utility/{deploymentTemplateId}/fleet
GET /v3/deploymentTemplate/utility/{deploymentTemplateId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "deploymentEnvironmentId": "text",
    "deploymentProfileId": "text",
    "gameDeploymentTemplateId": "text",
    "utilityDeploymentTemplateId": "text",
    "dependencyDeploymentTemplateId": "text",
    "hostCapacityTemplateId": "text",
    "operationalStatus": 1,
    "isGameLift": true
  }
]

Get all dependency deployment templates

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

dependency Deployment template ID

namestringRequired

Name of the dependency deployment template

dependencyInstallerBuildIdstringRequired

Dependency installer build ID

dependencyUninstallerBuildIdstringRequired

Dependency uninstaller build ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

inUseinteger · integerRead-onlyRequired

Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

get/v3/deploymentTemplate/dependency
GET /v3/deploymentTemplate/dependency HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "dependencyInstallerBuildId": "text",
    "dependencyUninstallerBuildId": "text",
    "fleetIds": [
      "text"
    ],
    "inUse": 1,
    "createdAt": 1
  }
]

Create a dependency deployment template

post
Authorizations
PRIVATE-TOKENstringRequired
Body
idstringRead-onlyRequired

dependency Deployment template ID

namestringRequired

Name of the dependency deployment template

dependencyInstallerBuildIdstringRequired

Dependency installer build ID

dependencyUninstallerBuildIdstringRequired

Dependency uninstaller build ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

inUseinteger · integerRead-onlyRequired

Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

Responses
200

OK

application/json
idstringRead-onlyRequired

dependency Deployment template ID

namestringRequired

Name of the dependency deployment template

dependencyInstallerBuildIdstringRequired

Dependency installer build ID

dependencyUninstallerBuildIdstringRequired

Dependency uninstaller build ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

inUseinteger · integerRead-onlyRequired

Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

post/v3/deploymentTemplate/dependency
POST /v3/deploymentTemplate/dependency HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "name": "text",
  "dependencyInstallerBuildId": "text",
  "dependencyUninstallerBuildId": "text"
}
[
  {
    "id": "text",
    "name": "text",
    "dependencyInstallerBuildId": "text",
    "dependencyUninstallerBuildId": "text",
    "fleetIds": [
      "text"
    ],
    "inUse": 1,
    "createdAt": 1
  }
]

Get the details of dependency deployment template

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the dependency deployment template

Responses
200

OK

application/json
idstringRead-onlyRequired

dependency Deployment template ID

namestringRequired

Name of the dependency deployment template

dependencyInstallerBuildIdstringRequired

Dependency installer build ID

dependencyUninstallerBuildIdstringRequired

Dependency uninstaller build ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

inUseinteger · integerRead-onlyRequired

Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

get/v3/deploymentTemplate/dependency/{deploymentTemplateId}
GET /v3/deploymentTemplate/dependency/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "dependencyInstallerBuildId": "text",
    "dependencyUninstallerBuildId": "text",
    "fleetIds": [
      "text"
    ],
    "inUse": 1,
    "createdAt": 1
  }
]

Update given dependency deployment template.

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the dependency deployment template

Body
idstringRead-onlyRequired

dependency Deployment template ID

namestringRequired

Name of the dependency deployment template

dependencyInstallerBuildIdstringRequired

Dependency installer build ID

dependencyUninstallerBuildIdstringRequired

Dependency uninstaller build ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

inUseinteger · integerRead-onlyRequired

Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

Responses
200

OK

application/json
idstringRead-onlyRequired

dependency Deployment template ID

namestringRequired

Name of the dependency deployment template

dependencyInstallerBuildIdstringRequired

Dependency installer build ID

dependencyUninstallerBuildIdstringRequired

Dependency uninstaller build ID

fleetIdsstring[]Read-onlyRequired

IDs of the fleets that use this template

inUseinteger · integerRead-onlyRequired

Indicates whether this dependency deployment template is used by one or more fleets. A template cannot be deleted as long as this value is 1.

createdAtinteger · integerRead-onlyRequired

UnixTimestamp

put/v3/deploymentTemplate/dependency/{deploymentTemplateId}
PUT /v3/deploymentTemplate/dependency/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "name": "text",
  "dependencyInstallerBuildId": "text",
  "dependencyUninstallerBuildId": "text"
}
[
  {
    "id": "text",
    "name": "text",
    "dependencyInstallerBuildId": "text",
    "dependencyUninstallerBuildId": "text",
    "fleetIds": [
      "text"
    ],
    "inUse": 1,
    "createdAt": 1
  }
]

Delete given dependency deployment template.

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the dependency deployment template

Responses
204

No Content

No content

delete/v3/deploymentTemplate/dependency/{deploymentTemplateId}
DELETE /v3/deploymentTemplate/dependency/{deploymentTemplateId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Get all fleets using the given deploymentTemplateId

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
deploymentTemplateIdstringRequired

The Id of the dependency deployment template

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

Fleet ID

namestringRequired

The name of the fleet

deploymentEnvironmentIdstringRequired

Deployment environment ID to which the fleet is assigned

deploymentProfileIdstringOptional

The DeploymentProfileTemplate's ID, used for scaling, that is attached to this Fleet

gameDeploymentTemplateIdstringOptional

The GameDeploymentTemplate's ID that is attached to this Fleet

utilityDeploymentTemplateIdstringOptional

The UtilityDeploymentTemplate's ID that is attached to this Fleet

dependencyDeploymentTemplateIdstringOptional

The DependencyDeploymentTemplate's ID that is attached to this Fleet

hostCapacityTemplateIdstringOptional

The HostCapacityTemplate's ID that is attached to this Fleet

operationalStatusinteger · integerRead-onlyRequired

0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)

isGameLiftbooleanRequired

When it is active it cannot be disabled anymore

get/v3/deploymentTemplate/dependency/{deploymentTemplateId}/fleet
GET /v3/deploymentTemplate/dependency/{deploymentTemplateId}/fleet HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "deploymentEnvironmentId": "text",
    "deploymentProfileId": "text",
    "gameDeploymentTemplateId": "text",
    "utilityDeploymentTemplateId": "text",
    "dependencyDeploymentTemplateId": "text",
    "hostCapacityTemplateId": "text",
    "operationalStatus": 1,
    "isGameLift": true
  }
]

Get the details of all your host capacity templates

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

The ID of the Host Capacity Template

fleetIdsstring[]Read-onlyRequired

IDs of the Fleets that use this Host Capacity Template

applicationBuildIdsstring[]Read-onlyRequired

IDs of the Application Builds that use this Host Capacity Template

namestringRequired

The public name of your Host Capacity Template

inUseinteger · integerRequired

1 if the Host Capacity Template is in use by a Fleet or Application Build, 0 if it is not.

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this element is created

get/v3/hostCapacityTemplate
GET /v3/hostCapacityTemplate HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "fleetIds": [
      "text"
    ],
    "applicationBuildIds": [
      "text"
    ],
    "name": "text",
    "inUse": 1,
    "createdAt": 1
  }
]

Create a host capacity template

post
Authorizations
[...]
